#!/bin/bash
#
# Set the default wallpaper on first login
#

##################
if [ "$(gconftool-2 -g /desktop/gnome/background/picture_filename)" = "/usr/share/backgrounds/Fuduntu/Fuduntu_Logo2.png" ]; then
  gconftool-2 -t string -s /desktop/gnome/background/picture_filename "/usr/share/backgrounds/Fuduntu/Fuduntu_Logo.jpg"
fi

if [ ! -d "/home/$USER/.config/autostart" ]; then
  mkdir -p /home/$USER/.config/autostart 2>/dev/null || :
fi

if [ ! -e "/home/$USER/.config/autostart/setdefbg.desktop" ]; then
  cp /etc/xdg/autostart/setdefbg.desktop /home/$USER/.config/autostart/setdefbg.desktop
  chmod 755 /home/$USER/.config/autostart/setdefbg.desktop
  echo "X-GNOME-Autostart-enabled=false" >> /home/$USER/.config/autostart/setdefbg.desktop
fi
